package kr.co.hanwha.hifive.base;

import android.support.annotation.NonNull;

import kr.co.hanwha.hifive.dialog.HFDefaultDialog;
import kr.co.hanwha.hifive.dialog.HFSingleDialog;
import kr.co.hanwha.hifive.network.hanwha.HanwhaNetworkError;

/**
 * Created by sanghoonkwon on 2018. 1. 10..
 */

public interface BaseView<T> {
    void showLoadingDialog(boolean show);

    void showToast(@NonNull String message);

    void showToastAlert(@NonNull int strResource);

    void showToastEmpty(@NonNull int strResource);

    void showToastConfirm(@NonNull int strResource);

    void showToastImpossible(@NonNull int strResource);

    void showAlert(@NonNull HanwhaNetworkError hanwhaNetworkError);

    void showAlert(@NonNull HanwhaNetworkError hanwhaNetworkError, HFSingleDialog.OnDialogCallback callback);

    void showAlert(@NonNull HanwhaNetworkError hanwhaNetworkError, HFDefaultDialog.OnDialogCallback callback);

    void showAlert(@NonNull String title, @NonNull String message, HFSingleDialog.OnDialogCallback callback);

    void showAlert(@NonNull String title, @NonNull String message, HFDefaultDialog.OnDialogCallback callback);
}
